Bug 148763

Summary: ES6: Implement HasRestrictedGlobalProperty when checking for global lexical tier conflicts
Product: WebKit Reporter: Saam Barati <sbarati>
Component: JavaScriptCoreAssignee: Saam Barati <sbarati>
Status: RESOLVED FIXED    
Severity: Normal CC: basile_clement, benjamin, commit-queue, d, esprehn, fpizlo, ggaren, keith_miller, mark.lam, mmirman, msaboff, oliver, ticaiolima, ysuzuki
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Comment 1 Saam Barati 2016-06-23 11:30:12 PDT
*** Bug 153441 has been marked as a duplicate of this bug. ***
Comment 2 Caio Lima 2016-06-27 00:39:00 PDT
Created attachment 282105 [details]
Patch
Comment 3 Saam Barati 2016-06-29 22:44:37 PDT
*** Bug 159270 has been marked as a duplicate of this bug. ***
Comment 4 Saam Barati 2016-06-29 23:03:25 PDT
Comment on attachment 282105 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=282105&action=review

r=me with comments

> Source/JavaScriptCore/runtime/Executable.cpp:609
> +                // The ES6 spec says that just no RestrictedGlobalProperty can't be shadowed

Typo: remove the "no".

> Source/JavaScriptCore/tests/stress/global-lexical-redeclare-variable.js:71
> +    sentinel = "bad";

Please add an assertion that globalProperty is configurable.

> Source/JavaScriptCore/tests/stress/global-lexical-redeclare-variable.js:80
> +    load("./multiple-files-tests/global-lexical-redeclare-variable/seventh.js");

Ditto for Array

> Source/JavaScriptCore/tests/stress/global-lexical-redeclare-variable.js:97
> +    load("./multiple-files-tests/global-lexical-redeclare-variable/nineth.js");

Typo: should be "ninth"
Comment 5 Caio Lima 2016-06-30 19:58:44 PDT
Created attachment 282507 [details]
Patch
Comment 6 WebKit Commit Bot 2016-06-30 21:20:21 PDT
Comment on attachment 282507 [details]
Patch

Rejecting attachment 282507 [details] from review queue.

ticaiolima@gmail.com does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/contributors.json.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/contributors.json by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 7 Caio Lima 2016-06-30 21:22:56 PDT
(In reply to comment #4)
> Comment on attachment 282105 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=282105&action=review
> 
> r=me with comments
> 
> > Source/JavaScriptCore/runtime/Executable.cpp:609
> > +                // The ES6 spec says that just no RestrictedGlobalProperty can't be shadowed
> 
> Typo: remove the "no".
> 
> > Source/JavaScriptCore/tests/stress/global-lexical-redeclare-variable.js:71
> > +    sentinel = "bad";
> 
> Please add an assertion that globalProperty is configurable.

How can I do this assertion?
Comment 8 Caio Lima 2016-07-01 00:31:50 PDT
Created attachment 282518 [details]
Patch
Comment 9 WebKit Commit Bot 2016-07-01 08:26:01 PDT
Comment on attachment 282518 [details]
Patch

Clearing flags on attachment: 282518

Committed r202734: <http://trac.webkit.org/changeset/202734>
Comment 10 WebKit Commit Bot 2016-07-01 08:26:07 PDT
All reviewed patches have been landed.  Closing bug.